Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class Service

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.Service

All Implemented Interfaces:
  IExtendedResource, IResource

    public class Service

extends AbstractResource

Constructor Summary
`Service()`
`Service(URI domain)`

Method Summary
`void` | `addCreationDialog(Dialog dialog)`
`void` | `addCreationFactory(CreationFactory creationFactory)`
`void` | `addQueryCapability(QueryCapability queryCapability)`
`void` | `addSelectionDialog(Dialog dialog)`
`Dialog[]` | `getCreationDialogs()`
`CreationFactory[]` | `getCreationFactories()`
`URI` | `getDomain()`
`QueryCapability[]` | `getQueryCapabilities()`
`Dialog[]` | `getSelectionDialogs()`
`URI[]` | `getUsages()`
`void` | `setCreationDialogs(Dialog[] creationDialogs)`
`void` | `setCreationFactories(CreationFactory[] creationFactories)`
`void` | `setDomain(URI domain)`
`void` | `setQueryCapabilities(QueryCapability[] queryCapabilities)`
`void` | `setSelectionDialogs(Dialog[] selectionDialogs)`
`void` | `setUsages(URI[] usages)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Service

    public Service()

### Service

    public Service(URI domain)

Method Detail

### addCreationDialog

    public void addCreationDialog(Dialog dialog)

### addCreationFactory

    public void addCreationFactory(CreationFactory creationFactory)

### addQueryCapability

    public void addQueryCapability(QueryCapability queryCapability)

### addSelectionDialog

    public void addSelectionDialog(Dialog dialog)

### getCreationDialogs

    public Dialog[] getCreationDialogs()

### getCreationFactories

    public CreationFactory[] getCreationFactories()

### getDomain

    public URI getDomain()

### getQueryCapabilities

    public QueryCapability[] getQueryCapabilities()

### getSelectionDialogs

    public Dialog[] getSelectionDialogs()

### getUsages

    public URI[] getUsages()

### setCreationDialogs

    public void setCreationDialogs(Dialog[] creationDialogs)

### setCreationFactories

    public void setCreationFactories(CreationFactory[] creationFactories)

### setDomain

    public void setDomain(URI domain)

### setQueryCapabilities

    public void setQueryCapabilities(QueryCapability[] queryCapabilities)

### setSelectionDialogs

    public void setSelectionDialogs(Dialog[] selectionDialogs)

### setUsages

    public void setUsages(URI[] usages)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.